FLANG

Classes | Public Member Functions | List of all members
Fortran::semantics::OmpStructureChecker Class Reference
Inheritance diagram for Fortran::semantics::OmpStructureChecker:

## Public Member Functions
| OmpStructureChecker (SemanticsContext &context)
void | Enter (const parser::OpenMPConstruct &)
void | Enter (const parser::OpenMPLoopConstruct &)
void | Leave (const parser::OpenMPLoopConstruct &)
void | Enter (const parser::OmpEndLoopDirective &)
void | Enter (const parser::OpenMPBlockConstruct &)
void | Leave (const parser::OpenMPBlockConstruct &)
void | Enter (const parser::OmpEndBlockDirective &)
void | Enter (const parser::OpenMPSectionsConstruct &)
void | Leave (const parser::OpenMPSectionsConstruct &)
void | Enter (const parser::OmpEndSectionsDirective &)
void | Enter (const parser::OpenMPDeclareSimdConstruct &)
void | Leave (const parser::OpenMPDeclareSimdConstruct &)
void | Enter (const parser::OpenMPDeclareTargetConstruct &)
void | Leave (const parser::OpenMPDeclareTargetConstruct &)
void | Enter (const parser::OpenMPSimpleStandaloneConstruct &)
void | Leave (const parser::OpenMPSimpleStandaloneConstruct &)
void | Enter (const parser::OpenMPFlushConstruct &)
void | Leave (const parser::OpenMPFlushConstruct &)
void | Enter (const parser::OpenMPCancelConstruct &)
void | Leave (const parser::OpenMPCancelConstruct &)
void | Enter (const parser::OpenMPCancellationPointConstruct &)
void | Leave (const parser::OpenMPCancellationPointConstruct &)
void | Leave (const parser::OmpClauseList &)
void | Enter (const parser::OmpClause &)
void | Enter (const parser::OmpNowait &)
void | Enter (const parser::OmpClause::Inbranch &)
void | Enter (const parser::OmpClause::Mergeable &)
void | Enter (const parser::OmpClause::Nogroup &)
void | Enter (const parser::OmpClause::Notinbranch &)
void | Enter (const parser::OmpClause::Untied &)
void | Enter (const parser::OmpClause::Collapse &)
void | Enter (const parser::OmpClause::Copyin &)
void | Enter (const parser::OmpClause::Copyprivate &)
void | Enter (const parser::OmpClause::Device &)
void | Enter (const parser::OmpClause::DistSchedule &)
void | Enter (const parser::OmpClause::Final &)
void | Enter (const parser::OmpClause::Firstprivate &)
void | Enter (const parser::OmpClause::From &)
void | Enter (const parser::OmpClause::Grainsize &)
void | Enter (const parser::OmpClause::Lastprivate &)
void | Enter (const parser::OmpClause::NumTasks &)
void | Enter (const parser::OmpClause::NumTeams &)
void | Enter (const parser::OmpClause::NumThreads &)
void | Enter (const parser::OmpClause::Ordered &)
void | Enter (const parser::OmpClause::Priority &)
void | Enter (const parser::OmpClause::Private &)
void | Enter (const parser::OmpClause::Safelen &)
void | Enter (const parser::OmpClause::Shared &)
void | Enter (const parser::OmpClause::Simdlen &)
void | Enter (const parser::OmpClause::ThreadLimit &)
void | Enter (const parser::OmpClause::To &)
void | Enter (const parser::OmpClause::Link &)
void | Enter (const parser::OmpClause::Uniform &)
void | Enter (const parser::OmpClause::UseDevicePtr &)
void | Enter (const parser::OmpClause::IsDevicePtr &)
void | Enter (const parser::OmpAlignedClause &)
void | Enter (const parser::OmpDefaultClause &)
void | Enter (const parser::OmpDefaultmapClause &)
void | Enter (const parser::OmpDependClause &)
void | Enter (const parser::OmpIfClause &)
void | Enter (const parser::OmpLinearClause &)
void | Enter (const parser::OmpMapClause &)
void | Enter (const parser::OmpProcBindClause &)
void | Enter (const parser::OmpReductionClause &)
void | Enter (const parser::OmpScheduleClause &)
Public Member Functions inherited from Fortran::semantics::BaseChecker
template<typename N >
void | Enter (const N &)
template<typename N >
void | Leave (const N &)

The documentation for this class was generated from the following files:

- lib/Semantics/check-omp-structure.h
- lib/Semantics/check-omp-structure.cpp